<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://www.nlog-project.org/schemas/NLog.xsd NLog.xsd"
      autoReload="true"
      throwExceptions="false"
      internalLogLevel="Off" internalLogFile="c:\temp\nlog-internal.log">

	<variable name="myvar" value="myvalue"/>

	<targets>
		<target name="TraceLog"
				xsi:type="File" encoding="utf-8" layout="${longdate}|${message}"
				fileName="LOGS/TRACELOG/TraceLog.txt"
				archiveEvery="Month" archiveDateFormat="yyyy-MM" archiveNumbering="Date"
				archiveFileName="LOGS/TRACELOG/TraceLog_{#}.txt"/>

		<target name="SenderLog"
				xsi:type="File" encoding="utf-8" layout="${longdate}|${message}"
				fileName="LOGS/SENDERLOG/SenderLog.txt"
				archiveEvery="Month" archiveDateFormat="yyyy-MM" archiveNumbering="Date"
				archiveFileName="LOGS/SENDERLOG/SenderLog_{#}.txt"/>

		<target name="PsoLog"
				xsi:type="File" encoding="utf-8" layout="${longdate}|${message}"
				fileName="LOGS/PSOLOG/PsoLog.txt"
				archiveEvery="Month" archiveDateFormat="yyyy-MM" archiveNumbering="Date"
				archiveFileName="LOGS/PSOLOG/PsoLog_{#}.txt"/>

		<target name="InnInvLog"
				xsi:type="File" encoding="utf-8" layout="${longdate}|${message}"
				fileName="LOGS/ININVLOG/InnInvLog.txt"
				archiveEvery="Month" archiveDateFormat="yyyy-MM" archiveNumbering="Date"
				archiveFileName="LOGS/ININVLOG/InnInvLog_{#}.txt"/>

		<target name="CommandLog"
				xsi:type="File" encoding="utf-8" layout="${longdate}|${message}"
				fileName="LOGS/COMMANDLOG/CommandLog.txt"
				archiveEvery="Month" archiveDateFormat="yyyy-MM" archiveNumbering="Date"
				archiveFileName="LOGS/COMMANDLOG/CommandLog{#}.txt"/>

		<target name="ArchiveKeepengLog"
				xsi:type="File" encoding="utf-8" layout="${longdate}|${message}"
				fileName="LOGS/ARCHIVEKEEPINGLOG/ArchiveKeepingLog.txt"
				archiveEvery="Month" archiveDateFormat="yyyy-MM" archiveNumbering="Date"
				archiveFileName="LOGS/ARCHIVEKEEPINGLOG/ArchiveKeepingLog{#}.txt"/>

	</targets>

	<rules>
		<logger enabled="true" level="Trace" name="TraceLogger"				writeTo="TraceLog"/>
		<logger enabled="true" level="Trace" name="SenderLogger"			writeTo="SenderLog"/>
		<logger enabled="true" level="Trace" name="PsoLogger"				writeTo="PsoLog"/>
		<logger enabled="true" level="Trace" name="InnInvLogger"			writeTo="InnInvLog"/>
		<logger enabled="true" level="Trace" name="CommandLogger"			writeTo="CommandLog"/>
		<logger enabled="true" level="Trace" name="ArchiveKeepengLogger"	writeTo="ArchiveKeepengLog"/>
	</rules>
</nlog>